<?php
// $Id: toolbar.comprofiler.php,v 1.2 2005/01/03 06:07:13 mambojoe Exp $
/**
* User toolbar handler
* @package Mambo Open Source
* @Copyright (C) 2000 - 2003 Miro International Pty Ltd
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.2 $
**/

// ensure this file is being included by a parent file
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

require_once( $mainframe->getPath( 'toolbar_html' ) );

switch ( $task ) {

	case "edit":
		TOOLBAR_usersextras::_EDIT();
		break;

	case "new":
		TOOLBAR_usersextras::_NEW();
		break;

	case "showconfig":
		TOOLBAR_usersextras::_EDIT_CONFIG();
		break;
	case "editTab":
		TOOLBAR_usersextras::_EDIT_TAB();
		break;

	case "newTab":
		TOOLBAR_usersextras::_NEW_TAB();
		break;

	case "showTab":
		TOOLBAR_usersextras::_DEFAULT_TAB();
		break;
	case "editField":
		TOOLBAR_usersextras::_EDIT_FIELD();
		break;

	case "newField":
		TOOLBAR_usersextras::_NEW_FIELD();
		break;

	case "showField":
		TOOLBAR_usersextras::_DEFAULT_FIELD();
		break;
	case "editList":
		TOOLBAR_usersextras::_EDIT_LIST();
		break;

	case "newList":
		TOOLBAR_usersextras::_NEW_LIST();
		break;

	case "showLists":
		TOOLBAR_usersextras::_DEFAULT_LIST();
		break;
	case "showusers":
		TOOLBAR_usersextras::_DEFAULT();
		break;
	case "tools":
		//TOOLBAR_usersextras::_DEFAULT_LIST();
		break;
/*
	default:
		TOOLBAR_usersextras::_DEFAULT();
		break;
*/
}
?>